{% extends 'base.html' %}
{% block title %} Program - AyoBantu by SinarPerak {% endblock %}
{% block name %}
	{% if user.is_authenticated %}
		<p style="font-size : 15px;">{{ user.username }}</p>
	{% endif %}
{% endblock %}
{% block body %}
<div class="container" align="center" style="margin-bottom: 80px">
	{% if user.is_authenticated %}
		<p style="font-size : 25px;">Halo, <strong>{{ user.first_name }}</strong>!</p>
		<p>Mari berbuat baik hari ini</p>
	{% endif %}
	<h1 style="font-size:60px">PROGRAM</h1>
</div>
<div class="container">
	{% for program in query_results %}
	<div class="container col-8 col-sm-6 col-lg-4">
		<div class="programs-container" style="padding-top: 5%; padding-left: 5%; padding-right: 5%">
			<img class="programs-image" src="{{ program.img_url }}" alt="Image {{ program.program_id }}" >
			<div>
				<h3><strong><a href="{% url 'program_detail' pk=program.program_id %}">{{ program.name }}</a></strong></h3>
				<p>{{ program.description }}</p>
				<br>
				<h5><strong>Rp {{ program.hitung_donasi }}</strong> dari <strong>Rp {{ program.target_donasi }}</strong></h5>
				<div class="progress" style="height: 8px;">
					<div class="progress-bar progress-bar-success" role="progressbar" aria-valuenow="{{ program.percentage }}"
					aria-valuemin="0" aria-valuemax="100" style="width:{{ program.percentage }}% ; "></div>
				</div>
			</div>
		</div>
	</div>
	{% endfor %}
</div>
{% endblock %}